Subject: bug#38054: mumble: "QSslSocket: cannot resolve <crypto funcs>", Certificate Expiry, segfault

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Wed, 20 Nov 2019 00:30:24 -0500

Christopher Lemmer Webber (2019-11-19 14:00:20 -0500) wrote:

> Efraim Flashner writes:
> 
> > I also noticed that there's a newer version of mumble out, 1,3.0, which
> > builds against qt5. We should probably just go ahead and upgrade it.
> 
> I've also gotten this.  I have an older version of Mumble installed from
> a previous generation and that one does still run.
> 
> I tried updating it here, but looks like it's upset about not finding
> the (un)bundled speex... weird because it must not have been bothered by
> that before.
> 
> Incomplete patch attached.  I'm unsure if switching from qt-4 to qtbase
> is the right way to upgrade to QT 5 or not?  I'm guessing so?

Thanks Christopher!  I'm currently working in a complete patch, it's building
and running (and it's not suffering from the errors I found!), but I still
need to locate the appropriate icons and include them in the package.

I'll get back to you real soon!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/